## caja-rename 17.3.28~bzr14%2Brepack1

=== debian/changelog ===
caja-rename (17.3.28~bzr14+repack1-2) unstable; urgency=medium

  * debian/watch:
    + Fix tarball filename in upstream URL.
  * debian/copyright:
    + Fix copyright attributions of some po/*.po files.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Sep 2017 14:31:47 +0200

caja-rename (17.3.28~bzr14+repack1-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #871928).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 12 Aug 2017 14:53:18 -0400

=== debian/watch ===
version=3
http://launchpad.net/cajarename/+download .*/cajarename-([0-9.]+)\.tar\.gz

## caja-rename 23.10.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13)
project (caja-rename VERSION 23.10.1 LANGUAGES C)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET (CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# Options

option (ENABLE_WERROR "Treat all build warnings as errors" OFF)

set(CMAKE_BUILD_TYPE "Release")

if (ENABLE_WERROR)
    add_definitions ("-Werror")
endif ()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions ("-Weverything")
else ()
    add_definitions ("-Wall")
endif ()

# Prerequisites

include (GNUInstallDirs)
find_package (PkgConfig REQUIRED)
include (FindPkgConfig)
pkg_check_modules (DEPS REQUIRED gtk+-3.0 libcaja-extension gmodule-export-2.0)
pkg_get_variable (EXTENSION_DIR libcaja-extension extensiondir)

# Translation

set (GETTEXT_PACKAGE "caja-rename")
add_definitions (-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}" -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")

# Build

add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (po)

# Info

message (STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message (STATUS "Build with -Werror: ${ENABLE_WERROR}")

## caja-rename 17.3.28~bzr14+repack1

=== debian/control ===
Source: caja-rename
Section: utils
Priority: optional
Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Robert Tari <robert.tari@gmail.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python (>= 2.7),
 python-setuptools,
 python-polib,
Standards-Version: 4.0.1
Homepage: https://tari.in/www/software/cajarename/
Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/caja-rename.git
Vcs-Git: https://anonscm.debian.org/git/pkg-mate/caja-rename.git
X-Python-Version: >= 2.7

Package: caja-rename
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 python-gi,
 gir1.2-gtk-3.0,
 caja,
 python-caja,
Breaks: cajarename,
Replaces: cajarename,
Description: Batch renaming extension for Caja
 An extension for the Caja file browser allowing users to rename multiple
 files/folders in a single pass.
 .
 The application can change the case, insert, replace and delete strings,
 as well as enumerate the selection. Any changes are instantly visible in
 the preview list. The user interface strives to be as simple as
 possible, without confusing advanced operations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/dpkg/pkg-info.mk

NULL  =
PKD   = $(word 2, abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(DEB_SOURCE)
UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE = +repack1
VER  ?= $(subst $(DTYPE),,$(UVER))
REV   = $(shell echo $(VER) | perl -ne 'print "$$1" if m/(?:git|svn|hg|bzr)(\d+)/;')


%:
	dh ${@} --with python2

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.bzr


override_dh_auto_clean:
	dh_auto_clean
	rm -Rfv data/usr/share/locale
	rm -fv cajarename.egg-info/PKG-INFO
	rm -fv cajarename.egg-info/SOURCES.txt
	rm -fv cajarename.egg-info/dependency_links.txt
	rm -fv cajarename.egg-info/requires.txt
	rm -fv cajarename.egg-info/top_level.txt

override_dh_fixperms:
	dh_fixperms
	chmod a-x debian/*/usr/share/cajarename/cajarename2.glade

## http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

## checkout from bzr (add "bzr (>= 2.6.0~bzr6520)" to Build-Depends, see #666496)
UURL = lp:cajarename
$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	bzr checkout --hardlink --lightweight --revision=$(REV) $(UURL) $(PKG)-$(VER) \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Creating ChangeLog..."
	cd $(PKG)-$(VER) && bzr log --log-format=line > ChangeLog.bzr
	@echo "# Modifying..."
	cd $(PKG)-$(VER) && rm -Rfv \
	    .bzr-builddeb \
	    .bzr \
	    debian \
	    $(NULL)
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"

## caja-rename 18.1.10~bzr26+repack1

=== debian/changelog ===
caja-rename (18.1.10~bzr26+repack1-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Rename pretty name of our team -> Debian+Ubuntu MATE Packaging Team.
    + Update Maintainer: field to debian-mate ML on lists.debian.org.

  [ Mike Gabriel ]
  * New upstream release (Bzr VCS snapshot).
  * debian/control:
    + Add versioned B-D on dpkg-dev (>= 1.16.1.1).
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.5. No changes needed.
  * debian/copyright:
    + Make Upstream-Name: field's value more human readable.
    + Use secure URI for copyright format.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Jul 2018 22:57:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: caja-rename
 Section: utils
 Priority: optional
-Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
+Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Robert Tari <robert.tari@gmail.com>,
 Build-Depends:
  debhelper (>= 10),
+ dpkg-dev (>= 1.16.1.1),
  dh-python,
  python (>= 2.7),
  python-setuptools,
  python-polib,
-Standards-Version: 4.0.1
+Standards-Version: 4.1.5
 Homepage: https://tari.in/www/software/cajarename/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/caja-rename.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-mate/caja-rename.git
+Vcs-Browser: https://salsa.debian.org/debian-mate-team/caja-rename
+Vcs-Git: https://salsa.debian.org/debian-mate-team/caja-rename.git
 X-Python-Version: >= 2.7
 
 Package: caja-rename

## caja-rename 18.7.28~bzr25

=== debian/changelog ===
caja-rename (18.7.28~bzr25-1) unstable; urgency=medium

  * New upstream release (Bzr VCS snapshot). (A little confused by
    the Bzr revision number having gone backwards. Alas, so be it).
  * debian/{control,compat}:
    + Drop compat file. Switch to debhelper-compat notation in control file.
      Bump to DH compat level version 12.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
    + Drop ancient version from X-Python-Version: field (i.e., remove that
      line).
  * debian/rules:
    + Drop +repack1 suffix in package version.
    + Switch to pybuild build-system.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 31 Jan 2019 12:21:15 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,16 @@
  Mike Gabriel <sunweaver@debian.org>,
  Robert Tari <robert.tari@gmail.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.16.1.1),
  dh-python,
  python (>= 2.7),
  python-setuptools,
  python-polib,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: https://tari.in/www/software/cajarename/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/caja-rename
 Vcs-Git: https://salsa.debian.org/debian-mate-team/caja-rename.git
-X-Python-Version: >= 2.7
 
 Package: caja-rename
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,26 +7,29 @@
 PKD   = $(word 2, abspath $(dir $(MAKEFILE_LIST)))
 PKG   = $(DEB_SOURCE)
 UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
-DTYPE = +repack1
+DTYPE =
 VER  ?= $(subst $(DTYPE),,$(UVER))
 REV   = $(shell echo $(VER) | perl -ne 'print "$$1" if m/(?:git|svn|hg|bzr)(\d+)/;')
 
+export PYBUILD_NAME=caja-rename
+export PYBUILD_SYSTEM=distutils
 
 %:
-	dh ${@} --with python2
+	dh ${@} --with python2 --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog.bzr
 
 
 override_dh_auto_clean:
-	dh_auto_clean
+	-dh_auto_clean
 	rm -Rfv data/usr/share/locale
 	rm -fv cajarename.egg-info/PKG-INFO
 	rm -fv cajarename.egg-info/SOURCES.txt
 	rm -fv cajarename.egg-info/dependency_links.txt
 	rm -fv cajarename.egg-info/requires.txt
 	rm -fv cajarename.egg-info/top_level.txt
+	rm -Rfv .pybuild
 
 override_dh_fixperms:
 	dh_fixperms

=== debian/watch ===
version=3
https://launchpad.net/cajarename/+download .*/cajarename-([0-9.]+)\.tar\.gz

## caja-rename 19.7.15~bzr37

=== debian/changelog ===
caja-rename (19.7.15~bzr37-1) unstable; urgency=medium

  * Upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Jan 2020 06:53:56 +0100

caja-rename (19.7.15~bzr37-1~exp1) experimental; urgency=medium

  * New upstream release (Bzr VCS snapshot).
  * debian/copyright:
    + Update copyright attributions.
  * debian/rules:
    + Drop dh_fixperms override. Not required anymore.
  * debian/{control,rules}:
    + Port to Python3. (Closes: #936266).
  * debian/watch:
    + Drop file. No release tarballs maintained upstream.
  * debian/control:
    + Add Rules-Requires-Root: field and set it to no.
    + Bump Standards-Version:

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 10 Dec 2019 11:09:29 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
  debhelper-compat (= 12),
  dpkg-dev (>= 1.16.1.1),
  dh-python,
- python (>= 2.7),
- python-setuptools,
- python-polib,
-Standards-Version: 4.3.0
+ python3 (>= 3.6),
+ python3-setuptools,
+ python3-polib,
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://tari.in/www/software/cajarename/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/caja-rename
 Vcs-Git: https://salsa.debian.org/debian-mate-team/caja-rename.git
@@ -21,11 +22,11 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- ${python:Depends},
- python-gi,
+ ${python3:Depends},
+ caja,
  gir1.2-gtk-3.0,
- caja,
- python-caja,
+ python3-caja (>= 1.23.0),
+ python3-gi,
 Breaks: cajarename,
 Replaces: cajarename,
 Description: Batch renaming extension for Caja

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 export PYBUILD_SYSTEM=distutils
 
 %:
-	dh ${@} --with python2 --buildsystem=pybuild
+	dh ${@} --with python3 --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog.bzr
@@ -30,10 +30,6 @@
 	rm -fv cajarename.egg-info/requires.txt
 	rm -fv cajarename.egg-info/top_level.txt
 	rm -Rfv .pybuild
-
-override_dh_fixperms:
-	dh_fixperms
-	chmod a-x debian/*/usr/share/cajarename/cajarename2.glade
 
 ## http://wiki.debian.org/onlyjob/get-orig-source
 .PHONY: get-orig-source

## caja-rename 20.1.25~bzr37

=== debian/changelog ===
caja-rename (20.1.25~bzr37-1) unstable; urgency=medium

  * New upstream release (Bzr VCS snapshot).
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Bump DH compat level to version 13.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Aug 2020 15:23:34 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Mike Gabriel <sunweaver@debian.org>,
  Robert Tari <robert.tari@gmail.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dpkg-dev (>= 1.16.1.1),
  dh-python,
  python3 (>= 3.6),
  python3-setuptools,
  python3-polib,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://tari.in/www/software/cajarename/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/caja-rename

## caja-rename 20.1.26

=== debian/changelog ===
caja-rename (20.1.26-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update Upstream-Contact: field.
    + Update URL in Source: field.
  * debian/control:
    + Update Homepage: field. (Closes: #975382).
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/watch:
    + Add file. Upstream is now in Github.
  * debian/rules:
    + Simplify get-orig-source target. Switch to easy orig tarball retrieval
      via uscan.
    + Drop dh_installchangelogs override. No ChangeLog.bzr in the orig
      tarball anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Nov 2020 11:28:17 +0100

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
  python3 (>= 3.6),
  python3-setuptools,
  python3-polib,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://tari.in/www/software/cajarename/
+Homepage: https://tari.in/www/software/caja-rename/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/caja-rename
 Vcs-Git: https://salsa.debian.org/debian-mate-team/caja-rename.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PYBUILD_NAME=caja-rename
export PYBUILD_SYSTEM=distutils

%:
	dh ${@} --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	-dh_auto_clean
	rm -Rfv data/usr/share/locale
	rm -fv cajarename.egg-info/PKG-INFO
	rm -fv cajarename.egg-info/SOURCES.txt
	rm -fv cajarename.egg-info/dependency_links.txt
	rm -fv cajarename.egg-info/requires.txt
	rm -fv cajarename.egg-info/top_level.txt
	rm -Rfv .pybuild

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
https://github.com/tari01/caja-rename/tags .*/V?(\d\S*)\.tar\.gz

## caja-rename 21.11.24

=== debian/changelog ===
caja-rename (21.11.24-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/rules:
    + Fix perms (a-x) of cajarename.glade.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/watch:
    + Use format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Dec 2021 15:46:11 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3 (>= 3.6),
  python3-setuptools,
  python3-polib,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://tari.in/www/software/caja-rename/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/caja-rename

=== debian/rules ===
--- 
+++ 
@@ -17,5 +17,9 @@
 	rm -fv cajarename.egg-info/top_level.txt
 	rm -Rfv .pybuild
 
+override_dh_fixperms:
+	chmod a-x debian/caja-rename/usr/share/cajarename/cajarename.glade
+	dh_fixperms
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## caja-rename 22.6.29

=== debian/changelog ===
caja-rename (22.6.29-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 29 Jun 2022 23:07:19 +0200

## caja-rename 22.10.31

=== debian/changelog ===
caja-rename (22.10.31-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Nov 2022 22:16:59 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3 (>= 3.6),
  python3-setuptools,
  python3-polib,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://tari.in/www/software/caja-rename/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/caja-rename

=== debian/watch ===
version=4
https://github.com/tari01/caja-rename/tags .*/V?(\d\S*)\.tar\.gz

## caja-rename 23.4.1

=== debian/changelog ===
caja-rename (23.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/patches:
    + Drop 1001_ignore-potfile.patch. Resolved upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 26 Jun 2023 11:14:39 +0200

## caja-rename 23.9.1

=== debian/changelog ===
caja-rename (23.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 10 Sep 2023 14:41:24 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3 (>= 3.6),
  python3-setuptools,
  python3-polib,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://tari.in/www/software/caja-rename/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/caja-rename

## caja-rename 23.10.1

=== debian/changelog ===
caja-rename (23.10.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update copyright attributions.
  * debian/: Adjust to rewrite of caja-rename in C.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 24 Sep 2023 17:21:52 +0200

## caja-rename 23.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.13)
-project (caja-rename VERSION 23.10.1 LANGUAGES C)
+project (caja-rename VERSION 23.12.1 LANGUAGES C)
 
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET (CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== debian/changelog ===
caja-rename (23.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 30 Dec 2023 18:11:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
  Mike Gabriel <sunweaver@debian.org>,
  Robert Tari <robert.tari@gmail.com>,
 Build-Depends:
+ cmake,
+ cmake-extras,
  debhelper-compat (= 13),
  dpkg-dev (>= 1.16.1.1),
- dh-python,
- python3 (>= 3.6),
- python3-setuptools,
- python3-polib,
+ intltool,
+ libcaja-extension-dev,
+ libgtk-3-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://tari.in/www/software/caja-rename/
@@ -19,14 +20,11 @@
 Vcs-Git: https://salsa.debian.org/debian-mate-team/caja-rename.git
 
 Package: caja-rename
-Architecture: all
+Architecture: any
 Depends:
  ${misc:Depends},
- ${python3:Depends},
+ ${shlibs:Depends},
  caja,
- gir1.2-gtk-3.0,
- python3-caja (>= 1.23.0),
- python3-gi,
 Breaks: cajarename,
 Replaces: cajarename,
 Description: Batch renaming extension for Caja

## caja-rename 24.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.13)
-project (caja-rename VERSION 23.12.1 LANGUAGES C)
+project (caja-rename VERSION 24.2.1 LANGUAGES C)
 
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET (CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== data/CMakeLists.txt ===
# libcaja-rename.caja-extension

string (TIMESTAMP YEAR "%Y")
configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/libcaja-rename.caja-extension.in" "${CMAKE_CURRENT_BINARY_DIR}/libcaja-rename.caja-extension" @ONLY)
install (FILES "${CMAKE_CURRENT_BINARY_DIR}/libcaja-rename.caja-extension" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/caja/extensions")

# caja-rename.svg

install (DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/icons/" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor")

# caja-rename-gresource.c

find_program (GLIB_COMPILE_RESOURCES NAMES glib-compile-resources REQUIRED)

add_custom_command (
    OUTPUT "caja-rename-gresource.c"
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    COMMAND "${GLIB_COMPILE_RESOURCES}"
    ARGS --target "${CMAKE_CURRENT_BINARY_DIR}/caja-rename-gresource.c" --generate-source "caja-rename.xml"
    VERBATIM
    MAIN_DEPENDENCY "caja-rename.xml"
    DEPENDS "caja-rename.ui"
)

add_custom_target ("data" DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/caja-rename-gresource.c")

=== po/CMakeLists.txt ===
find_package (Intltool REQUIRED)

intltool_install_translations (ALL GETTEXT_PACKAGE ${GETTEXT_PACKAGE})

=== debian/changelog ===
caja-rename (24.2.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:44:28 +0000

caja-rename (24.2.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:01:09 +0000

caja-rename (24.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 15:37:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: caja-rename
 Section: utils
 Priority: optional
-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Robert Tari <robert.tari@gmail.com>,

## caja-rename 24.4.1

=== debian/changelog ===
caja-rename (24.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 Apr 2024 17:24:39 +0200

## caja-rename 24.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.13)
-project (caja-rename VERSION 24.2.1 LANGUAGES C)
+project (caja-rename VERSION 24.5.1 LANGUAGES C)
 
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET (CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== src/CMakeLists.txt ===
# libcaja-rename.so

set_source_files_properties ("${CMAKE_BINARY_DIR}/data/caja-rename-gresource.c" PROPERTIES GENERATED TRUE)
add_library ("caja-rename" SHARED "rename.c" "caja-rename.c" "${CMAKE_BINARY_DIR}/data/caja-rename-gresource.c")
add_dependencies ("caja-rename" "data")
target_include_directories ("caja-rename" PUBLIC ${DEPS_INCLUDE_DIRS})
target_compile_options ("caja-rename" PUBLIC ${DEPS_CFLAGS_OTHER})
target_compile_definitions ("caja-rename" PUBLIC G_LOG_DOMAIN="caja-rename")
target_link_libraries ("caja-rename" ${DEPS_LIBRARIES})
target_link_options ("caja-rename" PUBLIC ${DEPS_LDFLAGS_OTHER})
target_link_directories ("caja-rename" PUBLIC ${DEPS_LIBRARY_DIRS})
install (TARGETS "caja-rename" DESTINATION "${EXTENSION_DIR}")

=== debian/changelog ===
caja-rename (24.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 09 Jun 2024 22:36:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: caja-rename
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
+Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Robert Tari <robert.tari@gmail.com>,
@@ -14,7 +13,7 @@
  intltool,
  libcaja-extension-dev,
  libgtk-3-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://tari.in/www/software/caja-rename/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/caja-rename

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh ${@} --buildsystem=cmake

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## caja-rename 25.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.13)
-project (caja-rename VERSION 24.5.1 LANGUAGES C)
+project (caja-rename VERSION 25.1.1 LANGUAGES C)
 
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET (CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
@@ -29,11 +29,6 @@
 pkg_check_modules (DEPS REQUIRED gtk+-3.0 libcaja-extension gmodule-export-2.0)
 pkg_get_variable (EXTENSION_DIR libcaja-extension extensiondir)
 
-# Translation
-
-set (GETTEXT_PACKAGE "caja-rename")
-add_definitions (-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}" -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")
-
 # Build
 
 add_subdirectory (src)

=== data/CMakeLists.txt ===
# libcaja-rename.caja-extension

find_package (Intltool REQUIRED)
string (TIMESTAMP YEAR "%Y")
configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/libcaja-rename.caja-extension.in" "${CMAKE_CURRENT_BINARY_DIR}/libcaja-rename.caja-extension.intl" @ONLY)
intltool_merge_translations ("libcaja-rename.caja-extension.intl" "libcaja-rename.caja-extension" ALL UTF8)
install (FILES "${CMAKE_CURRENT_BINARY_DIR}/libcaja-rename.caja-extension" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/caja/extensions")

# icons

install (DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/icons" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}")

# caja-rename-gresource.c

find_program (GLIB_COMPILE_RESOURCES NAMES glib-compile-resources REQUIRED)

add_custom_command (
    OUTPUT "${CMAKE_PROJECT_NAME}-gresource.c"
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    COMMAND "${GLIB_COMPILE_RESOURCES}"
    ARGS --target "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}-gresource.c" --generate-source "${CMAKE_PROJECT_NAME}.xml"
    VERBATIM
    MAIN_DEPENDENCY "${CMAKE_PROJECT_NAME}.xml"
    DEPENDS "${CMAKE_PROJECT_NAME}.ui"
)

add_custom_target ("data" DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}-gresource.c")

=== src/CMakeLists.txt ===
# libcaja-rename.so

set_source_files_properties ("${CMAKE_BINARY_DIR}/data/${CMAKE_PROJECT_NAME}-gresource.c" PROPERTIES GENERATED TRUE)
add_library ("caja-rename" SHARED "rename.c" "caja-rename.c" "${CMAKE_BINARY_DIR}/data/${CMAKE_PROJECT_NAME}-gresource.c")
add_dependencies ("caja-rename" "data")
target_include_directories ("caja-rename" PUBLIC ${DEPS_INCLUDE_DIRS})
target_compile_options ("caja-rename" PUBLIC ${DEPS_CFLAGS_OTHER})
target_compile_definitions ("caja-rename" PUBLIC G_LOG_DOMAIN="caja-rename" LOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}" GETTEXT_PACKAGE="${CMAKE_PROJECT_NAME}")
target_link_libraries ("caja-rename" ${DEPS_LIBRARIES})
target_link_options ("caja-rename" PUBLIC ${DEPS_LDFLAGS_OTHER})
target_link_directories ("caja-rename" PUBLIC ${DEPS_LIBRARY_DIRS})
install (TARGETS "caja-rename" DESTINATION "${EXTENSION_DIR}")

=== debian/changelog ===
caja-rename (25.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 21:01:20 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  intltool,
  libcaja-extension-dev,
  libgtk-3-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://tari.in/www/software/caja-rename/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/caja-rename
